#include <iostream>
using std::cin;
using std::cout;
int main()
{
	int a1, a2;
	char c1, c2;
	int m;

	cin >> c1 >> c2;
	cin >> a1 >> a2;
	if (a1 <= 0 || a2 <= 0)
	{
		cout << "Broj ili brojevi su jednaki ili isti nuli";
		exit(EXIT_SUCCESS);
	}
	if (a1 > a2 + 1 || a1 < a2 - 1 || a2 > a1 + 1 || a2 < a1 - 1)
	{
		cout << "nemoguce";
		exit(EXIT_SUCCESS);
	}
	if (a1 > 0)
		m = a1;
	else
		m = a2;
	for (int i = 1; i <= m; i++)
	{
		if (a1 > a2)
			cout << c1 << c2 ;
		else
			cout << c2 << c1 ;
	}
	if (a1 > a2 && a1 != a2)
		cout << c1;
	if (a2 > a1 && a2 != a1)
		cout << c2;
}